package filter

import (
	"github.com/davecgh/go-spew/spew"
	"github.com/flosch/pongo2"
)

// DumpFilter is a pongo2 filter, which returns a spew.Dump of the input
func DumpFilter(in *pongo2.Value, param *pongo2.Value) (*pongo2.Value, *pongo2.Error) {
	dumpString := spew.Sdump(in.Interface())
	return pongo2.AsValue(string(dumpString)), nil
}
